<?php

/**
 * This Plugin is a style-Plugin: The Maincontent is surrounded by a light CSS3-shadow
 * and  shrinked to 98% so that it becomes obvious if you're at the bottom of the page.
 *
 * @package      augsburg-medienlabor
 *
 * @author    Bernhard Strehl
 * @copyright (c) Authors
 * @version   $Id$
 */
/*
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA	02111-1307, USA.
 */


class ShadowedBoxes extends StudipPlugin implements SystemPlugin
{

    function __construct()
    {
        parent::__construct();


        global $ABSOLUTE_URI_STUDIP;
        if (class_exists('LoadCheck') && LoadCheck::hasHighLoad() || (class_exists('StudipMobile')&& StudipMobile::isMobileBrowser()))
            $dontshow = true;

        if (!strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 7.0') && !$dontshow)
        {
            PageLayout::addStylesheet($this->getPluginURL() . '/assets/shadowedbox.css');
            PageLayout::addScript($this->getPluginURL() . '/assets/shadowedbox.js');
        }
    }

}